petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscObjectListAdd

Adds a new object to an PetscObjectList

### Synopsis

    PetscErrorCode  PetscObjectListAdd(PetscObjectList *fl,const char name[],PetscObject obj)

### Input Parameters

| fl | - the object list Many br
| name | - the name to use for the object Many br
| obj | - the object to attach Many br

Many br

Notes: Replaces item if it is already in list. Removes item if you pass in a NULL object. Many br

Use PetscObjectListFind() or PetscObjectListReverseFind() to get the object back Many br

### See Also

PetscObjectListDestroy(), PetscObjectListFind(), PetscObjectListDuplicate(), PetscObjectListReverseFind(), PetscObjectListDuplicate()

Level:developer
Location:src/sys/objects/olist.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages